puppet-module-horizon (25.0.0-3) unstable; urgency=medium

  * Do not log logging.FileHandler which is flooding.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Dec 2024 14:38:49 +0100

puppet-module-horizon (25.0.0-2) unstable; urgency=medium

  * Add missing lib folder into the package.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 12:54:26 +0200

puppet-module-horizon (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased add_dns_v4_variables.patch.
  * Add types to packaged files.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2024 10:50:05 +0200

puppet-module-horizon (24.0.0-2) unstable; urgency=medium

  * Re-add OPENSTACK_ENABLE_PASSWORD_RETRIEVE in local_settings.erb.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Aug 2024 16:36:51 +0200

puppet-module-horizon (24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.
  * Rebased debian-fixup.patch.
  * Refreshed add_dns_v4_variables.patch.
  * Removed Add_TOTP_support.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 15:51:40 +0200

puppet-module-horizon (23.0.0-2) unstable; urgency=medium

  * Add Add_TOTP_support.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Nov 2023 12:24:54 +0100

puppet-module-horizon (23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebased:
    - add_dns_v4_variables.patch
    - debian-fixup.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2023 15:04:06 +0200

puppet-module-horizon (22.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:16:49 +0200

puppet-module-horizon (22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed / rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 12:03:14 +0200

puppet-module-horizon (21.0.0-3) unstable; urgency=medium

  * Fix bad path for Horizon's wsgi.py (due to wrong patch rebase).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 14:12:07 +0100

puppet-module-horizon (21.0.0-2) unstable; urgency=medium

  [ Olivier Chaze ]
  * Managing DNS v4 servers.

  [ Thomas Goirand ]
  * Restore POLICY_FILES handling in local_settings.py template.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Feb 2023 12:14:04 +0100

puppet-module-horizon (21.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased debian-fixup.patch.
  * Restore POLICY_FILES handling in local_settings.py template.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 23:45:31 +0200

puppet-module-horizon (20.3.0-2) unstable; urgency=medium

  * Restore OPENSTACK_ENABLE_PASSWORD_RETRIEVE in local_settings.py.erb.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Aug 2022 13:42:26 +0200

puppet-module-horizon (20.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebased debian-fixup.patch.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 14:41:12 +0200

puppet-module-horizon (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 13:52:43 +0100

puppet-module-horizon (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased debian patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2022 00:09:53 +0100

puppet-module-horizon (19.4.0-2) unstable; urgency=medium

  * Fix SECRET_KEY to use the $secret_key variable from init.pp.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Nov 2021 15:56:50 +0100

puppet-module-horizon (19.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebased patches.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 11:39:29 +0200

puppet-module-horizon (19.3.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Fixed depends for this release.
  * Refreshed more-debian-local_settings.py.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:54:39 +0200

puppet-module-horizon (19.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased:
    - fix-local-settings-for-debian.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 15:51:20 +0200

puppet-module-horizon (18.4.0-2) unstable; urgency=medium

  * Add restore_AVAILABLE_THEMES.patch and merge it with
    more-debian-local_settings.py.patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Jul 2021 16:32:32 +0200

puppet-module-horizon (18.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased more-debian-local_settings.py.patch.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 13:13:48 +0200

puppet-module-horizon (18.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 21:35:00 +0100

puppet-module-horizon (18.2.0-1) experimental; urgency=medium

  * Add more-debian-local_settings.py.patch.
  * New usptream release.
  * Rebased more-debian-local_settings.py.patch.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 10:37:40 +0100

puppet-module-horizon (17.4.0-4) unstable; urgency=medium

  * Add correct scheduling dependency when installing template files in
    /etc/openstack-dashboard/local_settings.d.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Oct 2020 11:22:14 +0200

puppet-module-horizon (17.4.0-3) unstable; urgency=medium

  * Rewrote a fix-local-settings-for-debian.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Oct 2020 11:30:48 +0200

puppet-module-horizon (17.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:05:52 +0200

puppet-module-horizon (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased fix-horizon-settings.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:11:36 +0200

puppet-module-horizon (16.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:37:16 +0200

puppet-module-horizon (16.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fix-default-local_settings.py-template.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 13:26:19 +0200

puppet-module-horizon (15.4.0-4) unstable; urgency=medium

  * Depends on puppet, not puppet-commoon.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 10:15:02 +0100

puppet-module-horizon (15.4.0-3) unstable; urgency=medium

  * Add Debian patch to fix the local_settings.py template.
  * Removed python2 build-dependencies (Closes: #937355).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2019 22:07:02 +0100

puppet-module-horizon (15.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:22:14 +0200

puppet-module-horizon (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:02:31 +0200

puppet-module-horizon (15.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed do-not-define-dashboards.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 11:31:47 +0200

puppet-module-horizon (14.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 21:55:40 +0200

puppet-module-horizon (14.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends for this release.
  * Standards-Version: 4.3.0 (no change).
  * Rebased fix-horizon-settings.patch.
  * Refreshed do-not-define-dashboards.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2019 10:07:54 +0200

puppet-module-horizon (13.1.0-3) unstable; urgency=medium

  * Add do-not-define-dashboards.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Feb 2019 10:37:42 +0100

puppet-module-horizon (13.1.0-2) unstable; urgency=medium

  * Add fix-horizon-settings.patch, needed after we modified the way Horizon
    is packaged in the stretch-rocky backport repository and Buster.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Feb 2019 10:03:21 +0100

puppet-module-horizon (13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed version of depends: for this release.
  * Using team+openstack@tracker.debian.org for the maintainer.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jun 2018 16:01:19 +0200

puppet-module-horizon (12.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Mar 2018 13:38:59 +0100

puppet-module-horizon (9.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed runtime depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 13:26:35 +0000

puppet-module-horizon (8.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Fixed runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Apr 2016 11:04:07 -0500

puppet-module-horizon (8.0.0-2) unstable; urgency=medium

  * Added missing build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 08:19:24 +0000

puppet-module-horizon (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Overrides dh_auto_build and dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 07:47:18 +0000

puppet-module-horizon (8.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 17:39:59 +0100

puppet-module-horizon (7.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #814233)

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Feb 2016 17:02:20 +0800
